wxWidgets: wxSockAddress Class Reference

| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxSockAddress Class Reference
Class List by Category » Networking

`#include <wx/socket.h>`

Inheritance diagram for wxSockAddress:
[legend]

## Detailed Description

You are unlikely to need to use this class: only wxSocketBase uses it.

##

Library: wxNet
Category: Networking

See also
  wxSocketBase, wxIPaddress, wxIPV4address

## Public Member Functions
| wxSockAddress ()
| Default constructor. More...
virtual | ~wxSockAddress ()
| Default destructor. More...
virtual void | Clear ()
| Delete all information about the address. More...
int | SockAddrLen ()
| Returns the length of the socket address. More...
const sockaddr * | GetAddressData () const
| Returns the pointer to the low-level representation of the address. More...
int | GetAddressDataLen () const
| Returns the length of the buffer retrieved by GetAddressData(). More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

wxSockAddress::wxSockAddress | ( |  | ) |

Default constructor.

virtual wxSockAddress::~wxSockAddress | ( |  | ) |
| virtual

Default destructor.

## Member Function Documentation

virtual void wxSockAddress::Clear | ( |  | ) |
| virtual

Delete all information about the address.

const sockaddr* wxSockAddress::GetAddressData | ( |  | ) | const

Returns the pointer to the low-level representation of the address.

This can be used to pass socket address information to a 3rd party library.

Returns
  Pointer to a sockaddr-derived struct.

int wxSockAddress::GetAddressDataLen | ( |  | ) | const

Returns the length of the buffer retrieved by GetAddressData().

Returns
  The size of the sockaddr-derived struct corresponding to this address.

int wxSockAddress::SockAddrLen | ( |  | ) |

Returns the length of the socket address.